Bug 165925 - [patch] deskutils/cairo-dock fix many bugs
Summary: [patch] deskutils/cairo-dock fix many bugs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-11 11:10 UTC by Ivan Klymenko
Modified: 2012-04-09 21:01 UTC (History)
0 users

See Also:


Attachments
file.diff (7.54 KB, patch)
2012-03-11 11:10 UTC, Ivan Klymenko
no flags Details | Diff
patch-cairo-dock-update.txt (7.84 KB, patch)
2012-03-21 16:34 UTC, Ivan Klymenko
no flags Details | Diff
patch-cairo-dock-update1.txt (8.91 KB, patch)
2012-04-09 10:32 UTC, Ivan Klymenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Ivan Klymenko 2012-03-21 16:34:00 UTC
Update patch: removal depending on glitz

diff --git a/cairo-dock/Makefile b/cairo-dock/Makefile
index 0793f15..61a9264 100644
--- a/cairo-dock/Makefile
+++ b/cairo-dock/Makefile
@@ -7,6 +7,7 @@
 
 PORTNAME=	cairo-dock
 DISTVERSION=	2.3.0~3
+PORTREVISION=	1
 CATEGORIES=	deskutils
 MASTER_SITES=	http://launchpadlibrarian.net/73753213/
 
@@ -17,6 +18,7 @@ LIB_DEPENDS=	cairo:${PORTSDIR}/graphics/cairo \
 		curl.6:${PORTSDIR}/ftp/curl \
 		dbus-glib-1.2:${PORTSDIR}/devel/dbus-glib \
 		gtkglext-x11-1.0.0:${PORTSDIR}/x11-toolkits/gtkglext
+RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
 
 GNU_CONFIGURE=	yes
 USE_GETTEXT=	yes
@@ -32,17 +34,5 @@ MANCOMPRESSED=	yes
 post-patch:
 	@${REINPLACE_CMD} -e 's|libdir}/pkgconfig|prefix}/libdata/pkgconfig| ; s|datadir}/man|prefix}/man|' \
 		${WRKSRC}/CMakeLists.txt ${WRKSRC}/src/gldit/CMakeLists.txt
-	${REINPLACE_CMD} -e 's,/usr,${PREFIX},g'	\
-		${WRKSRC}/src/gldit/cairo-dock-gui-factory.c
 
-.include <bsd.port.pre.mk>
-
-.if exists(${LOCALBASE}/include/cairo/cairo-glitz.h)
-# Glitz support can only be enabled if cairo is built with glitz support
-CONFIGURE_ARGS+=--enable-glitz
-LIB_DEPENDS+=	glitz:${PORTSDIR}/graphics/glitz
-.else
-CONFIGURE_ARGS+=--disable-glitz
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/cairo-dock/files/patch-cairo-dock b/cairo-dock/files/patch-cairo-dock
new file mode 100644
index 0000000..6dffcd6
--- /dev/null
+++ b/cairo-dock/files/patch-cairo-dock
@@ -0,0 +1,19 @@
+--- data/cairo-dock.orig	2012-03-10 14:08:41.784016085 +0200
++++ data/cairo-dock	2012-03-10 14:09:03.014030514 +0200
+@@ -2,12 +2,12 @@
+ 	section="Applications/System" \
+ 	hints="dock" \
+ 	title="Cairo-Dock (no OpenGL)" \
+-	icon="/usr/share/pixmaps/cairo-dock.svg" \
+-	command="/usr/bin/cairo-dock -c"
++	icon="/usr/local/share/pixmaps/cairo-dock.svg" \
++	command="/usr/local/bin/cairo-dock -c"
+ 
+ ?package(cairo-dock):needs="X11" \
+ 	section="Applications/System" \
+ 	hints="dock" \
+ 	title="GLX-Dock (Cairo-Dock with OpenGL)" \
+-	icon="/usr/share/pixmaps/cairo-dock.svg" \
+-	command="/usr/bin/cairo-dock -o"
++	icon="/usr/local/share/pixmaps/cairo-dock.svg" \
++	command="/usr/local/bin/cairo-dock -o"
diff --git a/cairo-dock/files/patch-cairo-dock-class-manager.c b/cairo-dock/files/patch-cairo-dock-class-manager.c
new file mode 100644
index 0000000..4d0d661
--- /dev/null
+++ b/cairo-dock/files/patch-cairo-dock-class-manager.c
@@ -0,0 +1,19 @@
+--- src/gldit/cairo-dock-class-manager.c.orig	2012-03-10 14:05:52.663999155 +0200
++++ src/gldit/cairo-dock-class-manager.c	2012-03-10 14:06:17.963989866 +0200
+@@ -1189,13 +1189,13 @@
+ {
+ 	gboolean bFound = TRUE;
+ 	GString *sDesktopFilePath = g_string_new ("");
+-	g_string_printf (sDesktopFilePath, "/usr/share/applications/%s.desktop", cClass);
++	g_string_printf (sDesktopFilePath, "/usr/local/share/applications/%s.desktop", cClass);
+ 	if (! g_file_test (sDesktopFilePath->str, G_FILE_TEST_EXISTS))
+ 	{
+-		g_string_printf (sDesktopFilePath, "/usr/share/applications/xfce4/%s.desktop", cClass);
++		g_string_printf (sDesktopFilePath, "/usr/local/share/applications/xfce4/%s.desktop", cClass);
+ 		if (! g_file_test (sDesktopFilePath->str, G_FILE_TEST_EXISTS))
+ 		{
+-			g_string_printf (sDesktopFilePath, "/usr/share/applications/kde4/%s.desktop", cClass);
++			g_string_printf (sDesktopFilePath, "/usr/local/share/applications/kde4/%s.desktop", cClass);
+ 			if (! g_file_test (sDesktopFilePath->str, G_FILE_TEST_EXISTS))
+ 			{
+ 				bFound = FALSE;
diff --git a/cairo-dock/files/patch-cairo-dock-gui-factory.c b/cairo-dock/files/patch-cairo-dock-gui-factory.c
new file mode 100644
index 0000000..1b084f8
--- /dev/null
+++ b/cairo-dock/files/patch-cairo-dock-gui-factory.c
@@ -0,0 +1,11 @@
+--- src/gldit/cairo-dock-gui-factory.c.orig	2011-06-19 02:27:14.000000000 +0300
++++ src/gldit/cairo-dock-gui-factory.c	2012-03-10 14:01:45.373972001 +0200
+@@ -2429,7 +2429,7 @@
+ 				gchar *cUserPath = g_strdup_printf ("%s/.icons", g_getenv ("HOME"));
+ 				const gchar *path[3];
+ 				path[0] = (const gchar *)cUserPath;
+-				path[1] = "/usr/share/icons";
++				path[1] = "/usr/local/share/icons";
+ 				path[2] = NULL;
+ 				
+ 				GHashTable *pHashTable = _cairo_dock_build_icon_themes_list (path);
diff --git a/cairo-dock/files/patch-cairo-dock-menu.c b/cairo-dock/files/patch-cairo-dock-menu.c
new file mode 100644
index 0000000..ac4a480
--- /dev/null
+++ b/cairo-dock/files/patch-cairo-dock-menu.c
@@ -0,0 +1,25 @@
+--- src/cairo-dock-menu.c.orig	2012-03-10 14:07:34.504001097 +0200
++++ src/cairo-dock-menu.c	2012-03-10 14:07:43.434017412 +0200
+@@ -293,7 +293,7 @@
+ 			return ;
+ 		}
+ 	}
+-	gchar *cCommand = g_strdup_printf ("cp '/usr/share/applications/cairo-dock%s.desktop' '%s'", (g_bForceCairo ? "-cairo" : ""), cCairoAutoStartDirPath);
++	gchar *cCommand = g_strdup_printf ("cp '/usr/local/share/applications/cairo-dock%s.desktop' '%s'", (g_bForceCairo ? "-cairo" : ""), cCairoAutoStartDirPath);
+ 	int r = system (cCommand);
+ 	g_free (cCommand);
+ 	g_free (cCairoAutoStartDirPath);
+@@ -861,11 +861,11 @@
+ 	
+ 	// on trouve le .desktop du programme.
+ 	cd_debug ("%s (%s)\n", __func__, icon->cClass);
+-	gchar *cDesktopFilePath = g_strdup_printf ("/usr/share/applications/%s.desktop", icon->cClass);
++	gchar *cDesktopFilePath = g_strdup_printf ("/usr/local/share/applications/%s.desktop", icon->cClass);
+ 	if (! g_file_test (cDesktopFilePath, G_FILE_TEST_EXISTS))  // on n'a pas trouve la, on cherche chez KDE.
+ 	{
+ 		g_free (cDesktopFilePath);
+-		cDesktopFilePath = g_strdup_printf ("/usr/share/applications/kde4/%s.desktop", icon->cClass);
++		cDesktopFilePath = g_strdup_printf ("/usr/local/share/applications/kde4/%s.desktop", icon->cClass);
+ 		if (! g_file_test (cDesktopFilePath, G_FILE_TEST_EXISTS))  // toujours rien, on utilise locate.
+ 		{
+ 			g_free (cDesktopFilePath);
diff --git a/cairo-dock/files/patch-cairo-dock-package-theme b/cairo-dock/files/patch-cairo-dock-package-theme
new file mode 100644
index 0000000..66fe4f7
--- /dev/null
+++ b/cairo-dock/files/patch-cairo-dock-package-theme
@@ -0,0 +1,17 @@
+--- cairo-dock-package-theme.orig	2011-06-19 02:27:14.000000000 +0300
++++ cairo-dock-package-theme	2012-03-10 13:56:42.504012481 +0200
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/local/bin/bash
+ 
+ # Packager for Cairo-Dock
+ #
+@@ -125,7 +125,7 @@
+ 	if test "x${theme}" != "x"; then
+ 		#\__________ On cherche si ce theme est un theme officiel ou non.
+ 		echo "un theme est present ($theme)"
+-		wget "$THEME_SERVER/$3/list.conf" -O "liste.tmp" -t 3 -T 30
++		fetch -o "liste.tmp" -T 30 "$THEME_SERVER/$3/list.conf"
+ 		if test -f "liste.tmp" ; then
+ 			grep "^\[${theme}\]" "liste.tmp"
+ 			if test "$?" != "0" -a  "$theme" != "Classic" -a "$theme" != "default"; then  # pas un theme officiel
diff --git a/cairo-dock/files/patch-cairo-dock_theme-creator.sh b/cairo-dock/files/patch-cairo-dock_theme-creator.sh
new file mode 100644
index 0000000..a30d5ff
--- /dev/null
+++ b/cairo-dock/files/patch-cairo-dock_theme-creator.sh
@@ -0,0 +1,8 @@
+--- cairo-dock_theme-creator.sh.orig	2012-03-10 13:56:15.674011880 +0200
++++ cairo-dock_theme-creator.sh	2012-03-10 13:56:23.814030235 +0200
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/usr/local/bin/bash
+ 
+ # Theme creator for Cairo-Dock
+ #
diff --git a/cairo-dock/files/patch-fetch b/cairo-dock/files/patch-fetch
deleted file mode 100644
index 8702308..0000000
--- a/cairo-dock/files/patch-fetch
+++ /dev/null
@@ -1,11 +0,0 @@
---- cairo-dock-package-theme.orig	2010-12-11 01:37:14.000000000 +0200
-+++ cairo-dock-package-theme	2010-12-11 01:37:33.000000000 +0200
-@@ -125,7 +125,7 @@
- 	if test "x${theme}" != "x"; then
- 		#\__________ On cherche si ce theme est un theme officiel ou non.
- 		echo "un theme est present ($theme)"
--		wget "$THEME_SERVER/$3/list.conf" -O "liste.tmp" -t 3 -T 30
-+		fetch -o "liste.tmp" -T 30 "$THEME_SERVER/$3/list.conf"
- 		if test -f "liste.tmp" ; then
- 			grep "^\[${theme}\]" "liste.tmp"
- 			if test "$?" != "0" -a  "$theme" != "Classic" -a "$theme" != "default"; then  # pas un theme officiel
Comment 2 Ivan Klymenko 2012-03-21 16:36:33 UTC
Update building logs:
      Builgroup:     10-CURRENT/amd64
      Buildstatus:   SUCCESS
      Log:
      https://redports.org//~fidaj/20120321151627-06546-16699/cairo-dock-2.3.0.3_1.log

      Builgroup:     10-CURRENT/i386
      Buildstatus:   SUCCESS
      Log:
      https://redports.org//~fidaj/20120321151645-16591-16700/cairo-dock-2.3.0.3_1.log

      Builgroup:     9.0-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log:
      https://redports.org//~fidaj/20120321151645-16591-16701/cairo-dock-2.3.0.3_1.log

      Builgroup:     9.0-RELEASE/i386
      Buildstatus:   SUCCESS
      Log:
      https://redports.org//~fidaj/20120321151645-16591-16702/cairo-dock-2.3.0.3_1.log

      Builgroup:     8.2-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log:
      https://redports.org//~fidaj/20120321151645-16591-16703/cairo-dock-2.3.0.3_1.log

      Builgroup:     8.2-RELEASE/i386
      Buildstatus:   SUCCESS
      Log:
      https://redports.org//~fidaj/20120321151645-16591-16704/cairo-dock-2.3.0.3_1.log

      Builgroup:     7.4-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log:
      https://redports.org//~fidaj/20120321151645-16591-16705/cairo-dock-2.3.0.3_1.log

      Builgroup:     7.4-RELEASE/i386
      Buildstatus:   SUCCESS
      Log:
      https://redports.org//~fidaj/20120321151645-16591-16706/cairo-dock-2.3.0.3_1.log
Comment 4 Gerald Pfeifer freebsd_committer 2012-04-09 19:51:46 UTC
State Changed
From-To: open->		 open

I'll take this. 


Comment 5 Gerald Pfeifer freebsd_committer 2012-04-09 19:51:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald
Comment 6 dfilter service freebsd_committer 2012-04-09 20:26:47 UTC
gerald      2012-04-09 19:26:39 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/cairo-dock Makefile 
  Added files:
    deskutils/cairo-dock/files patch-cairo-dock 
                               patch-cairo-dock-applet-facility.c 
                               patch-cairo-dock-class-manager.c 
                               patch-cairo-dock-gui-factory.c 
                               patch-cairo-dock-menu.c 
                               patch-cairo-dock-package-theme 
                               patch-cairo-dock_theme-creator.sh 
  Removed files:
    deskutils/cairo-dock/files patch-fetch 
  Log:
  Fix a number of bugs related to (default) directory locations.
  
  PR:             165925
  Submitted by:   maintainer (fidaj@ukr.net)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.8       +3 -13     ports/deskutils/cairo-dock/Makefile
  1.1       +19 -0     ports/deskutils/cairo-dock/files/patch-cairo-dock (new)
  1.1       +18 -0     ports/deskutils/cairo-dock/files/patch-cairo-dock-applet-facility.c (new)
  1.1       +19 -0     ports/deskutils/cairo-dock/files/patch-cairo-dock-class-manager.c (new)
  1.1       +11 -0     ports/deskutils/cairo-dock/files/patch-cairo-dock-gui-factory.c (new)
  1.1       +25 -0     ports/deskutils/cairo-dock/files/patch-cairo-dock-menu.c (new)
  1.1       +17 -0     ports/deskutils/cairo-dock/files/patch-cairo-dock-package-theme (new)
  1.1       +8 -0      ports/deskutils/cairo-dock/files/patch-cairo-dock_theme-creator.sh (new)
  1.3       +0 -11     ports/deskutils/cairo-dock/files/patch-fetch (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 gerald 2012-04-09 20:35:31 UTC
I applied this maintainer patchset based on my review and tinderbox
builds.

Looking at the kind of patches required, clearly this project is in
a broken state upstream.  There should be a configure option there
to set a default prefix, and any scripts should be /bin/sh, not bash.

Mind working with upstream to get this addressed?  This will also
make maintenance of these ports easier.

Gerald
Comment 8 Gerald Pfeifer freebsd_committer 2012-04-09 21:00:36 UTC
State Changed
From-To: open->closed

Patches applied.